Get pass geofences
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.platform.getstell.com/v1/passes/{passId}/geofences', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://api.platform.getstell.com/v1/passes/{passId}/geofences \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.platform.getstell.com/v1/passes/{passId}/geofences"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"metadata": {
"maxAllowed": 10,
"programGeofenceCount": 5,
"passOverrideCount": 5,
"totalCount": 5
},
"geofences": [
{
"latitude": 0,
"source": "PROGRAM",
"longitude": 0,
"altitude": 123,
"relevantText": "<string>",
"id": "<string>"
}
]
},
"requestId": "<string>"
}{
"requestId": "<string>",
"error": {
"code": "BAD_REQUEST",
"message": "Invalid request parameters",
"details": {}
}
}{
"requestId": "<string>",
"error": {
"code": "UNAUTHORIZED",
"message": "Authentication required",
"details": {}
}
}{
"requestId": "<string>",
"error": {
"code": "FORBIDDEN",
"message": "Access denied to this resource",
"details": {}
}
}{
"requestId": "<string>",
"error": {
"code": "NOT_FOUND",
"message": "Resource not found",
"details": {}
}
}{
"requestId": "<string>",
"error": {
"code": "INTERNAL_ERROR",
"message": "An internal server error occurred",
"details": {}
}
}Engagement
Get pass geofences
Retrieve effective geofences for a specific pass including program-level defaults and pass-level overrides
GET
https://api.platform.getstell.com
/
v1
/
passes
/
{passId}
/
geofences
Get pass geofences
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.platform.getstell.com/v1/passes/{passId}/geofences', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://api.platform.getstell.com/v1/passes/{passId}/geofences \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.platform.getstell.com/v1/passes/{passId}/geofences"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"metadata": {
"maxAllowed": 10,
"programGeofenceCount": 5,
"passOverrideCount": 5,
"totalCount": 5
},
"geofences": [
{
"latitude": 0,
"source": "PROGRAM",
"longitude": 0,
"altitude": 123,
"relevantText": "<string>",
"id": "<string>"
}
]
},
"requestId": "<string>"
}{
"requestId": "<string>",
"error": {
"code": "BAD_REQUEST",
"message": "Invalid request parameters",
"details": {}
}
}{
"requestId": "<string>",
"error": {
"code": "UNAUTHORIZED",
"message": "Authentication required",
"details": {}
}
}{
"requestId": "<string>",
"error": {
"code": "FORBIDDEN",
"message": "Access denied to this resource",
"details": {}
}
}{
"requestId": "<string>",
"error": {
"code": "NOT_FOUND",
"message": "Resource not found",
"details": {}
}
}{
"requestId": "<string>",
"error": {
"code": "INTERNAL_ERROR",
"message": "An internal server error occurred",
"details": {}
}
}Authorizations
API key authentication. Include your API key as a Bearer token.
Example: Bearer sk_prod_xxxxxx
Get your API key from the Stell Dashboard.
Path Parameters
Was this page helpful?